<template>
	<view class="rankbg">
		<view class="topbar" :style="{ top: topStatusBar + 'px' }">
			<view class="title">宜家PLAY护照</view>
			<view class="goback" @click="goback"><img class="back" src="https://ikea-mrm.woaap.com/images/mask/back.png" alt="" /></view>
		</view>
		<img class="rank" src="https://ikea-mrm.woaap.com/images/mask/rank/rank1.png" alt="" />
		<img @click="gouserinfo" class="goinfo" src="https://ikea-mrm.woaap.com/images/mask/rank/goinfo.png" alt="" />
		<view class="content" v-show="myinfo.avatar">
			<view class="mine">
				<img class="nickname" :src="myinfo.avatar" alt="" />
				<view class="center">
					<view class="t1">{{ myinfo.nickname }}</view>
					<view class="t2">NO.{{ myinfo.myrank }}</view>
				</view>
				<view class="right">
					{{ myinfo.medalnum }}
					<text class="t">个</text>
				</view>
			</view>

			<img class="ptop" src="https://ikea-mrm.woaap.com/images/mask/rank/ptop.png" alt="" />
			<scroll-view scroll-y="true" class="otherlist" id="otherlist" :style="{ height: boxH + 'px' }">
				<view class="other-item" v-for="(item, index) in ranklist" :key="index">
					<view class="ranknum">
						<img v-if="index == 0" class="top3" src="https://ikea-mrm.woaap.com/images/mask/rank/one.png" alt="" />
						<img v-if="index == 1" class="top3" src="https://ikea-mrm.woaap.com/images/mask/rank/two.png" alt="" />
						<img v-if="index == 2" class="top3" src="https://ikea-mrm.woaap.com/images/mask/rank/three.png" alt="" />
						<view v-if="index > 2">{{ index + 1 }}</view>
					</view>
					<view class="otherbox">
						<img class="nickname" :src="item.avatar" alt="" />
						<view class="center">
							<view class="t1">{{ item.nickname }}</view>
							<view class="t2">{{ item.tag }}</view>
						</view>
						<view class="right">
							{{ item.medalnum }}
							<text class="t">个</text>
						</view>
					</view>
				</view>
			</scroll-view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			boxH: '',
			boxT: '',
			windowHeight: getApp().globalData.screenHeight,
			ranklist: '',
			myinfo: '',
			topStatusBar: getApp().globalData.topStatusBar
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'rank',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '宜家PLAY护照 限时申领中',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_passport.jpg'
		};
	},
	methods: {
		gouserinfo() {
			getApp().td_app_sdk.event({
				id: 'rank我的护照',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/userinfo/userinfo2'
			});
		},
		goback() {
			wx.navigateBack();
		}
	},
	onLoad() {
			// let box = ;
			this.boxT = 665 / 750 * getApp().globalData.windowWidth;
			// console.log(this.boxT)
			this.boxH = this.windowHeight - this.boxT;
			// uni.createSelectorQuery().in(this).select('#otherlist').boundingClientRect(res => {
			// 	console.log(res)
			// 	this.boxT = res.top;
			// })
			// .exec(() => {
			// 	this.boxH = this.windowHeight - this.boxT;
			// 	console.log(this.boxT)
			// 	console.log(this.boxH)
			// });
		wx.request({
			url: getApp().globalData.baseUrl + 'api/access.php?a=ranklist',
			method: 'POST',
			header: {
				'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
			},
			data: {
				uid: getApp().globalData.uid
			},
			success: res => {
				console.log(res.data.data);
				this.myinfo = res.data.data.myinfo;
				this.ranklist = res.data.data.ranklist;
			}
		});
	}
};
</script>

<style lang="less">
.rankbg {
	width: 100vw;
	height: 100vh;
	background: #f4f4f4;
	position: relative;
	overflow: hidden;
	background: url(https://ikea-mrm.woaap.com/images/mask/rank/rankbg.png) no-repeat;
	background-size: 100%;
	.topbar {
		width: 736rpx;
		height: 99rpx;
		position: absolute;
		left: 0;
		z-index: 9;
		.title {
			width: 100%;
			height: 100%;
			text-align: center;
			line-height: 99rpx;
			font-size: 28rpx;
			font-family: '黑体';
		}
		.goback {
			width: 60rpx;
			height: 100%;
			position: absolute;
			top: 0;
			left: 15rpx;
			display: flex;
			justify-content: center;
			align-items: center;
			img {
				width: 21rpx;
				height: 33rpx;
			}
		}
	}
	.rank {
		position: absolute;
		width: 683rpx;
		height: 204rpx;
		top: 180rpx;
		left: 50%;
		transform: translate(-50%, 0);
	}
	.goinfo {
		position: absolute;
		width: 67rpx;
		height: 21rpx;
		top: 280rpx;
		right: 48rpx;
		z-index: 99;
	}
	.content {
		width: 100vw;
		height: 100vh;
		position: absolute;
		top: 0;
		left: 0;
		overflow: hidden;
		.mine {
			width: 698rpx;
			height: 184rpx;
			background: url(https://ikea-mrm.woaap.com/images/mask/rank/mine.png) no-repeat;
			background-size: 100%;
			position: absolute;
			top: 390rpx;
			left: 50%;
			transform: translate(-50%, 0);
			display: flex;
			flex-direction: row;
			align-items: center;
			padding: 40rpx 0 40rpx 60rpx;
			box-sizing: border-box;
			.nickname {
				width: 80rpx;
				height: 80rpx;
				border-radius: 50%;
			}
			.center {
				width: 350rpx;
				height: 100%;
				display: flex;
				flex-direction: column;
				box-sizing: border-box;
				padding-left: 25rpx;
				justify-content: center;
				.t1 {
					font-family: '黑体';
					font-size: 24rpx;
					font-weight: bolder;
				}
				.t2 {
					font-family: '黑体';
					font-size: 38rpx;
					font-weight: 800;
					line-height: 36rpx;
				}
			}
			.right {
				width: 160rpx;
				height: 100%;
				text-align: center;
				display: flex;
				justify-content: center;
				align-items: center;
				font-family: '黑体';
				font-size: 36rpx;
				font-weight: bolder;
				.t {
					font-size: 24rpx !important;
					margin-top: 6rpx;
					font-weight: 800 !important;
				}
			}
		}
		.ptop {
			width: 754rpx;
			height: 102rpx;
			position: absolute;
			top: 565rpx;
			left: -2rpx;
		}
		.otherlist {
			width: 110vw;
			height: 780rpx;
			position: absolute;
			background: #ffffff;
			left: 50%;
			transform: translate(-50%, 0);
			top: 665rpx;
			box-sizing: border-box;

			.other-item {
				width: 660rpx;
				height: 168rpx;
				margin: 0 auto;
				display: flex;
				flex-direction: row;
				align-items: center;
				justify-content: flex-end;
				margin-bottom: -15rpx;
				.ranknum {
					width: 57rpx;
					height: 74rpx;
					display: flex;
					justify-content: center;
					align-items: center;
					font-family: '黑体';
					font-size: 32rpx;
					font-weight: 800;
					.top3 {
						width: 44rpx;
						height: 64rpx;
					}
				}
				.otherbox {
					width: 590rpx;
					height: 120rpx;
					background: url(https://ikea-mrm.woaap.com/images/mask/rank/other1.png) no-repeat;
					background-size: 100%;
					display: flex;
					flex-direction: row;
					align-items: center;
					padding: 40rpx 0 40rpx 40rpx;
					box-sizing: border-box;
					.nickname {
						width: 55rpx;
						height: 55rpx;
						border-radius: 50%;
					}
					.center {
						width: 320rpx;
						height: 100%;
						display: flex;
						flex-direction: column;
						box-sizing: border-box;
						padding-left: 20rpx;
						justify-content: center;
						.t1 {
							font-family: '黑体';
							font-size: 26rpx;
							font-weight: 800;
						}
						.t2 {
							font-family: '黑体';
							font-size: 18rpx;
							font-weight: 800;
							color: #d9d9d9;
						}
					}
					.right {
						width: 160rpx;
						height: 100%;
						text-align: center;
						display: flex;
						justify-content: center;
						align-items: center;
						font-family: '黑体';
						font-size: 34rpx;
						font-weight: bolder;
						color: #ffffff;
						.t {
							font-size: 22rpx !important;
							margin-top: 4rpx;
							font-weight: 800 !important;
						}
					}
				}
			}
		}
	}
}
</style>
